#!/usr/bin/env python
import roslib; roslib.load_manifest('nifti_dev_gui')
import sys
import rospy

import threading
import time
import os
import xmlrpclib

import signal

import wx
from nifti_dev_gui import nifti_dev_gui

flag_exit = False

app = wx.App();
frame = wx.Frame(None, -1, "nifti_dev_gui.py")
pad = nifti_dev_gui(frame, flag_exit)

#def signal_handler(signum, frame):
#    print "INFO: Ctrl-C detected. Please use the toggle button to stop the process properly or click on QUIT to exit. " % (signum)
#signal.signal(signal.SIGINT, signal_handler)

def kill_all():
    #kill all threads
    for thread in threading.enumerate():
        if thread.isAlive():
            try:
                thread._Thread__stop()
            except:
                print(str(thread.getName()) + ' could not be killed' )


def observer():
    while True:
        if pad.flag_exit:
            kill_all()
        time.sleep(0.5)

#
#main function
#

#rospy routine
#rospy.init_node('nifti_dev_gui')

#roscore check

th_obs = threading.Thread(target=observer, args=())
th_obs.start()


pad.Show()
app.MainLoop()
